_Emotion_Engine Struct Reference

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Data Fields
_Emotion_Engine Struct Reference

## Data Fields
unsigned | version
int | priority
const char * | name
void *(* | add )(const Emotion_Engine *api, Evas_Object *obj, const Emotion_Module_Options *opts)
void(* | del )(void *ef)
Eina_Bool(* | file_open )(void *ef, const char *file)
void(* | file_close )(void *ef)
void(* | play )(void *ef, double pos)
void(* | stop )(void *ef)
void(* | size_get )(void *ef, int *w, int *h)
void(* | pos_set )(void *ef, double pos)
double(* | len_get )(void *ef)
double(* | buffer_size_get )(void *ef)
int(* | fps_num_get )(void *ef)
int(* | fps_den_get )(void *ef)
double(* | fps_get )(void *ef)
double(* | pos_get )(void *ef)
void(* | vis_set )(void *ef, Emotion_Vis vis)
Emotion_Vis(* | vis_get )(void *ef)
Eina_Bool(* | vis_supported )(void *ef, Emotion_Vis vis)
double(* | ratio_get )(void *ef)
int(* | video_handled )(void *ef)
int(* | audio_handled )(void *ef)
int(* | seekable )(void *ef)
void(* | frame_done )(void *ef)
Emotion_Format(* | format_get )(void *ef)
void(* | video_data_size_get )(void *ef, int *w, int *h)
int(* | yuv_rows_get )(void *ef, int w, int h, unsigned char **yrows, unsigned char **urows, unsigned char **vrows)
int(* | bgra_data_get )(void *ef, unsigned char **bgra_data)
void(* | event_feed )(void *ef, int event)
void(* | event_mouse_button_feed )(void *ef, int button, int x, int y)
void(* | event_mouse_move_feed )(void *ef, int x, int y)
int(* | video_channel_count )(void *ef)
void(* | video_channel_set )(void *ef, int channel)
int(* | video_channel_get )(void *ef)
void(* | video_subtitle_file_set )(void *ef, const char *filepath)
const char *(* | video_subtitle_file_get )(void *ef)
const char *(* | video_channel_name_get )(void *ef, int channel)
void(* | video_channel_mute_set )(void *ef, int mute)
int(* | video_channel_mute_get )(void *ef)
int(* | audio_channel_count )(void *ef)
void(* | audio_channel_set )(void *ef, int channel)
int(* | audio_channel_get )(void *ef)
const char *(* | audio_channel_name_get )(void *ef, int channel)
void(* | audio_channel_mute_set )(void *ef, int mute)
int(* | audio_channel_mute_get )(void *ef)
void(* | audio_channel_volume_set )(void *ef, double vol)
double(* | audio_channel_volume_get )(void *ef)
int(* | spu_channel_count )(void *ef)
void(* | spu_channel_set )(void *ef, int channel)
int(* | spu_channel_get )(void *ef)
const char *(* | spu_channel_name_get )(void *ef, int channel)
void(* | spu_channel_mute_set )(void *ef, int mute)
int(* | spu_channel_mute_get )(void *ef)
int(* | chapter_count )(void *ef)
void(* | chapter_set )(void *ef, int chapter)
int(* | chapter_get )(void *ef)
const char *(* | chapter_name_get )(void *ef, int chapter)
void(* | speed_set )(void *ef, double speed)
double(* | speed_get )(void *ef)
int(* | eject )(void *ef)
const char *(* | meta_get )(void *ef, int meta)
void(* | priority_set )(void *ef, Eina_Bool priority)
Eina_Bool(* | priority_get )(void *ef)
void *(* | meta_artwork_get )(void *ef, Evas_Object *img, const char *path, Emotion_Artwork_Info type)